package controllers

import (
	"eta/eta_api/models"
)

// MeetingProbabilitiesController 加息概率
type MeetingProbabilitiesController struct {
	BaseAuthController
}

// Detail
// @Title 获取表格详情
// @Description 获取表格详情接口
// @Param   ExcelInfoId   query   int  true       "表格id"
// @Success 200 {object} data_manage.ExcelInfo
// @router /detail [get]
func (c *MeetingProbabilitiesController) Detail() {
	br := new(models.BaseResponse).Init()
	defer func() {
		c.Data["json"] = br
		c.ServeJSON()
	}()
	sysUser := c.SysUser
	if sysUser == nil {
		br.Msg = "请登录"
		br.ErrMsg = "请登录，SysUser Is Empty"
		br.Ret = 408
		return
	}

	date := c.GetString("DateTime")

	// 获取数据详情bu
	excelDetail, err := models.GetMeetingInfoById(date)
	if err != nil {
		br.ErrMsg = err.Error()
		return
	}

	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = excelDetail
}